org.apache.tapestry5.services

## Interface ComponentRequestFilter

- All Known Implementing Classes:
    DeferredResponseRenderer, InitializeActivePageName, ProductionModeUnknownComponentFilter, RequestOperationTracker

      public interface ComponentRequestFilter

  Filter interface for `ComponentRequestHandler`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleComponentEvent(ComponentEventRequestParameters parameters, ComponentRequestHandler handler)` Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
    `void` | `handlePageRender(PageRenderRequestParameters parameters, ComponentRequestHandler handler)` Invoked to activate and render a page.

- - ### Method Detail

    - #### handleComponentEvent

          void handleComponentEvent(ComponentEventRequestParameters parameters,
                                    ComponentRequestHandler handler)
                             throws IOException

      Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
      Parameters:
        `parameters` - defining the requst
        `handler` - next handler in the pipeline
      Throws:
        `IOException`

    - #### handlePageRender

          void handlePageRender(PageRenderRequestParameters parameters,
                                ComponentRequestHandler handler)
                         throws IOException

      Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).
      Parameters:
        `parameters` - defines the page name and activation context
        `handler` - next handler in the pipeline
      Throws:
        `IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.